# $Revision: 1.55.2.2 $, $Date: 2006/05/18 21:17:44 $
%define		module		gnome-python
%define		pygtk_req	2:2.8.0
%define		pyorbit_req	2.14.0
Summary:	GNOME bindings for Python
Summary(pl):	Wizania Pythona do bibliotek GNOME
Name:		python-gnome
Version:	2.12.4
Release:	3
License:	GPL v2+/LGPL v2.1+
Group:		Libraries/Python
Source0:	http://ftp.gnome.org/pub/gnome/sources/gnome-python/2.12/%{module}-%{version}.tar.bz2
# Source0-md5:	94347f1bff86ffcce76111fa8dac1efc
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	gnome-common >= 2.12.0
BuildRequires:	gnome-vfs2-devel >= 2.14.0
BuildRequires:	gtk+2-devel >= 2:2.8.0
BuildRequires:	libbonobo-devel >= 2.14.0
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.3.2
BuildRequires:	python-pyorbit-devel >= %{pyorbit_req}
BuildRequires:	python-pygtk-devel >= %{pygtk_req}
BuildRequires:	rpmbuild(macros) >= 1.197
%pyrequires_eq	python-modules
Requires:	%{name}-bonobo = %{version}-%{release}
Requires:	%{name}-gconf = %{version}-%{release}
Requires:	%{name}-vfs = %{version}-%{release}
Requires:	libgnomeui >= 2.14.0
Obsoletes:	gnome-python
Obsoletes:	gnome-python-nautilus
Obsoletes:	python-gnome-nautilus
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define pydefsdir %(pkg-config --variable=defsdir pygtk-2.0)

%description
GNOME bindings for Python.

%description -l pl
Wizania Pythona do bibliotek GNOME.

%package bonobo
Summary:	Bonobo bindings for Python
Summary(pl):	Wizania Pythona do biblioteki Bonobo
Group:		Libraries/Python
Requires:	python-pygtk-gobject >= %{pygtk_req}
Requires:	python-pyorbit >= %{pyorbit_req}

%description bonobo
Bonobo bindings for Python.

%description bonobo -l pl
Wizania Pythona do biblioteki Bonobo.

%package bonobo-ui
Summary:	Bonobo User Interface bindings for Python
Summary(pl):	Wizania Pythona do biblioteki interfejsu uytkownika Bonobo
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-bonobo = %{version}-%{release}
Requires:	%{name}-canvas = %{version}-%{release}
Requires:	%{name}-gconf = %{version}-%{release}
Requires:	%{name}-vfs = %{version}-%{release}

%description bonobo-ui
Bonobo User Interface bindings for Python.

%description bonobo-ui -l pl
Wizania Pythona do biblioteki interfejsu uytkownika Bonobo.

%package canvas
Summary:	GNOME Canvas bindings for Python
Summary(pl):	Wizania Pythona do biblioteki GNOME Canvas
Group:		Libraries/Python
Requires:	python-pygtk-gtk >= %{pygtk_req}

%description canvas
GNOME Canvas bindings for Python.

%description canvas -l pl
Wizania Pythona do biblioteki GNOME Canvas.

%package gconf
Summary:	GConf bindings for Python
Summary(pl):	Wizania Pythona do biblioteki GConf
Group:		Libraries/Python
Requires:	python-pygtk-gobject >= %{pygtk_req}
Requires:	python-pyorbit >= %{pyorbit_req}

%description gconf
GConf bindings for Python.

%description gconf -l pl
Wizania Pythona do biblioteki GConf.

%package ui
Summary:	GNOME User Interface bindings for Python
Summary(pl):	Wizania Pythona do biblioteki interfejsu uytkownika GNOME
Group:		Libraries/Python
Requires:	%{name}-bonobo-ui = %{version}-%{release}

%description ui
GNOME User Interface bindings for Python.

%description ui -l pl
Wizania Pythona do biblioteki interfejsu uytkownika GNOME.

%package vfs
Summary:	GNOME VFS bindings for Python
Summary(pl):	Wizania Pythona do biblioteki GNOME VFS
Group:		Libraries/Python
Requires:	%{name}-bonobo = %{version}-%{release}
Requires:	%{name}-gconf = %{version}-%{release}

%description vfs
GNOME VFS bindings for Python.

%description vfs -l pl
Wizania Pythona do biblioteki GNOME VFS.

%package devel
Summary:	Development files for GNOME bindings for Python
Summary(pl):	Pliki programistyczne wiza Pythona do GNOME
Group:		Libraries/Python
Requires:	%{name}-ui = %{version}-%{release}
Requires:	python-pygtk-devel >= %{pygtk_req}

%description devel
Development files for GNOME bindings for Python.

%description devel -l pl
Pliki programistyczne wiza Pythona do GNOME.

%package examples
Summary:	Example programs for python-gnome
Summary(pl):	Przykadowe programy do python-gnome
Group:		Libraries/Python
Requires:	%{name}-devel = %{version}-%{release}

%description examples
This package contains example programs for python-gnome.

%description -l pl examples
Ten pakiet zawiera przykadowe programy dla python-gnome.

%prep
%setup -q -n %{module}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/gtk-2.0/{*.la,*/{*.la,*.py}}
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog AUTHORS
%dir %{py_sitedir}/gtk-2.0/gnome
%{py_sitedir}/gtk-2.0/gnome/__init__.py?
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gnome/_gnome*.so
%dir %{_datadir}/pygtk/2.0/argtypes

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{module}-2.0
%{pydefsdir}/*
%{_pkgconfigdir}/*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%files bonobo
%defattr(644,root,root,755)
%dir %{py_sitedir}/gtk-2.0/bonobo
%{py_sitedir}/gtk-2.0/bonobo/__init__.py?
%attr(755,root,root) %{py_sitedir}/gtk-2.0/bonobo/_bonobo*.so
%attr(755,root,root) %{py_sitedir}/gtk-2.0/bonobo/activation*.so
%{_datadir}/pygtk/2.0/argtypes/bonobo-arg-types.py*

%files bonobo-ui
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/bonobo/ui*.so

%files canvas
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gnomecanvas*.so
%{py_sitedir}/gtk-2.0/gnome/canvas.py[co]

%files gconf
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gconf*.so
%{_datadir}/pygtk/2.0/argtypes/gconf-arg-types.py*

%files ui
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gnome/ui*.so

%files vfs
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gnomevfs*.so
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/*.so
%{py_sitedir}/gtk-2.0/gnome/vfs.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-gnome.spec,v $
Revision 1.55.2.2  2006/05/18 21:17:44  baggins
- release 3
- strict reqs

Revision 1.55.2.1  2006/05/15 13:29:30  baggins
- merged from HEAD

Revision 1.58  2006/04/02 11:51:37  freetz
- typo

Revision 1.57  2006/04/02 11:43:54  freetz
- don't require gnome-vfs2 package, rel.2

Revision 1.56  2006/03/12 22:18:19  freetz
- 2.12.4

Revision 1.55  2005/12/27 01:03:34  patrys
- up to 2.12.3

Revision 1.54  2005/12/03 14:17:13  freetz
- strictly follow GNOME dependency chain (bonoboui requires gnome-vfs)
  rel.2

Revision 1.53  2005/12/01 20:48:15  freetz
- 2.12.2

Revision 1.52  2005/11/16 09:39:56  paladine
- fixed Rs, rel. 3

Revision 1.51  2005/11/15 19:27:25  paladine
- tabs

Revision 1.50  2005/11/14 18:18:15  paladine
- examples subpackage, rel. 2

Revision 1.49  2005/10/04 18:12:02  freetz
- 2.12.1

Revision 1.48  2005/09/05 21:57:52  freetz
- merged from DEVEL

Revision 1.47.2.6  2005/09/05 21:57:08  freetz
- 2.12.0, bumped pygtk requirements, more %%files

Revision 1.47.2.5  2005/08/21 07:56:29  wiget
- requires pygtk builded with new cairo

Revision 1.47.2.4  2005/08/18 21:31:54  aflinta
- rebuild with cairo, rel. 2

Revision 1.47.2.3  2005/07/12 12:13:36  freetz
- 2.11.3

Revision 1.47.2.2  2005/07/04 19:10:56  freetz
- moved gnome-vfs requirement to vfs subpackage

Revision 1.47.2.1  2005/07/04 19:07:13  freetz
- 2.11.2, %%files, Rs updated, no *la for gnome-vfs modules

Revision 1.47  2005/04/16 17:54:49  paladine
- Obsoletes: python-gnome-nautilus
- rel. 2

Revision 1.46  2005/04/12 22:07:05  qboosh
- /sbin/ldconfig deps for post* -p are autogenerated

Revision 1.45  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.44  2005/04/12 08:17:08  paladine
- bumped BRs
- new style macros

Revision 1.43  2005/03/22 01:47:00  wrobell
- merged from DEVEL

Revision 1.42  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.41.2.3  2005/03/22 01:41:31  wrobell
- ver. 2.10.0

Revision 1.41.2.2  2005/02/28 16:07:57  paladine
- updated to 2.9.5
- proper license

Revision 1.41.2.1  2005/02/10 23:16:13  grzegol
- updated to 2.9.4
- removed applet, gtkhtml, nautilus, print and print-ui subpackages - they are
  now in python-gnome-extras.spec

Revision 1.41  2004/12/24 13:40:04  troll
- rel 2 to rebuild with Python 2.4

Revision 1.40  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.39  2004/11/16 23:36:40  grzegol
- updated to 2.6.1

Revision 1.38  2004/11/08 18:56:16  freetz
- bugfree py_compile ready, full autoreconfig, BRs updated, rel.2

Revision 1.37  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.36  2004/10/03 23:53:05  grzegol
- merged from DEVEL and updated to 2.6.0

Revision 1.35  2004/08/31 15:21:36  darekr
- updated to 2.0.3

Revision 1.34.2.2  2004/08/10 23:21:58  grzegol
- fixed epoch in pygtk require

Revision 1.34.2.1  2004/08/10 23:07:35  grzegol
- updated to 2.5.90

Revision 1.34  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.33  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.32  2004/04/03 19:25:51  grzegol
- updated to 2.0.2

Revision 1.31  2004/03/31 15:31:57  grzegol
- updated to 2.0.1

Revision 1.30  2004/02/23 11:12:23  qboosh
- refresh config.sub for amd64; release 5

Revision 1.29  2004/02/23 10:03:45  qboosh
- fixed pygtk dep in main, strict internal deps; release 4

Revision 1.28  2003/11/30 20:52:37  krzak
- rel 3
- BR python-devel >= 2.3.2 (this should help)

Revision 1.27  2003/11/30 04:16:19  krzak
- rel 2 for AC

Revision 1.26  2003/09/01 15:11:37  grzegol
- updated to 2.0.0

Revision 1.25  2003/08/29 14:17:42  wrobell
- rel. 2

Revision 1.24  2003/08/26 20:31:21  ankry
- s/[Gg]nome/GNOME/

Revision 1.23  2003/08/24 21:28:57  grzegol
- updated to 1.99.18
- remove also *.py files

Revision 1.22  2003/07/22 11:57:18  wrobell
- rel. 2 to build with python 2.3 /nest/

Revision 1.21  2003/07/03 12:10:35  qboosh
- some more deps, one less; removed *.la

Revision 1.20  2003/05/28 13:01:29  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/03/24 10:50:35  wrobell
- fixed BR for pyorbit and pygtk

Revision 1.17  2003/03/23 15:29:19  aflinta
- updated to version 1.99.16

Revision 1.16  2003/02/10 08:40:34  wrobell
- ver. 1.99.15
- print and print-ui subpackages

Revision 1.15  2002/12/29 23:17:01  wrobell
- ver. 1.99.14
- removed zvt support

Revision 1.14  2002/11/26 10:57:10  ankry
- 2nd .la file attributes massive attack

Revision 1.13  2002/10/28 16:38:22  wiget
- fixed Source0 URL
- release 5

Revision 1.12  2002/10/18 10:50:13  wiget
- bonobo-ui requires bonobo
- release 4

Revision 1.11  2002/10/03 12:26:14  qboosh
- pl descriptions, release 3

Revision 1.10  2002/09/24 08:49:12  wrobell
- fixed install requirements
- rel. 2

Revision 1.9  2002/09/23 10:25:58  wrobell
- install requirements are ok, i hope

Revision 1.8  2002/09/23 08:04:39  wrobell
- split into subpackages

Revision 1.6  2002/09/17 13:26:03  wrobell
- fixed build requirements

Revision 1.5  2002/09/17 13:25:15  wrobell
- ver. 1.99.13

Revision 1.4  2002/09/16 01:36:00  qboosh
- descriptions from summaries

Revision 1.3  2002/09/06 15:00:24  wiget
- almost ready

Revision 1.2  2002/09/06 14:21:38  wiget
- working URL for source0

Revision 1.1  2002/07/19 21:55:35  wrobell
- based on template
